Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I'm trying to setup the trac, this is the commands that I used:

sudo apt-get install trac python-setuptools libapache2-mod-python enscript

sudo mkdir /var/www/trac
sudo trac-admin /var/www/trac/repos initenv

but I'm getting the following error:

File "/usr/local/bin/trac-admin", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.6/dist-packages/pkg_resources.py", line 2659, in <module>
    parse_requirements(__requires__), Environment()
  File "/usr/lib/python2.6/dist-packages/pkg_resources.py", line 546, in resolve
    raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: Trac==0.12.2
share|improve this question
add comment

1 Answer

up vote 2 down vote accepted

Obviously trac-admin requires Trac==0.12.2. The trac version in the ubuntu natty repositories is 0.11.7-4 (trac ubuntu package).

You could try to install trac 0.12.2 in natty using easy_install. That's a python module that lets you automatically download, build, install, and manage Python packages.

So try:

sudo easy_install Trac==0.12.2
share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.